Page MenuHomeFreeBSD

graphics/sdl_gfx: disable MMX for non x86 architectures
ClosedPublic

Authored by sbruno on Sep 10 2014, 8:15 PM.

Details

Reviewers
mva
bapt
bdrewery
Summary

Pretty simple, move the use of MMX under checks for i386/amd64 protection
Else, this port blows up trying to code to use instructions that don't exist on
armv6 etc.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

sbruno updated this revision to Diff 1456.Sep 10 2014, 8:15 PM
sbruno retitled this revision from to graphics/sdl_gfx: disable MMX for non x86 architectures.
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
sbruno added reviewers: bapt, bdrewery, mva.
mva edited edge metadata.Sep 11 2014, 6:05 AM

That looks messy. OPTIONS_DEFINE_i386 offers the option only on x86 platforms and enables or disables it on those. Otherwise the default detection for MMX should do the right thing.

You want that fix, because sdl_gfx tries to use MMX on armv6? If so, I'd rather see something like

.if (${ARCH] == "armv6")
CONFIGURE_ARGS += ..
.endif

mva commandeered this revision.Sep 11 2014, 5:34 PM
mva edited reviewers, added: sbruno; removed: mva.
mva updated this revision to Diff 1582.Sep 11 2014, 5:35 PM
  • Improved diff for testing
sbruno accepted this revision.Sep 11 2014, 6:18 PM
sbruno edited edge metadata.

Redports build now show all builds pass and that mmx is turned off by default.
https://redports.org/buildarchive/20140911175500-12806/

This revision is now accepted and ready to land.Sep 11 2014, 6:18 PM
bdrewery accepted this revision.Sep 15 2014, 3:19 PM
bdrewery edited edge metadata.

Mentor approved; pending maintainer approval.

mva added a comment.Sep 15 2014, 3:27 PM

I gave the approval already via IRC already. @sbruno can commit it.

sbruno commandeered this revision.Sep 15 2014, 3:39 PM
sbruno edited reviewers, added: mva; removed: sbruno.

Committed at svn r368271

sbruno closed this revision.Sep 15 2014, 3:39 PM